name: gitplus_for_gitlab
description: A new Flutter project.

publish_to: "none" # Remove this line if you wish to publish to pub.dev

version: 1.1.1+26

environment:
  sdk: ">=2.17.5 <3.0.0"

dependencies:
  adaptive_theme: ^3.1.0
  build_runner: ^2.1.7
  cached_network_image: ^3.2.1
  date_time_picker: ^2.1.0
  dio: ^4.0.6
  file_icon: ^1.0.0
  flutter:
    sdk: flutter
  flutter_colorpicker: ^1.0.3
  flutter_easyloading: ^3.0.5
  flutter_markdown: ^0.6.10+3
  flutter_native_splash: ^2.2.5
  flutter_secure_storage: ^5.0.2
  flutter_svg: ^1.1.1+1
  flutter_vector_icons: ^1.0.0
  fluttertoast: ^8.0.9
  get: ^4.6.5
  grouped_list: ^5.1.2
  intl: ^0.17.0
  json_serializable: ^6.1.3
  # path: ^1.8.2
  share_plus: ^4.0.10
  shared_preferences: ^2.0.15
  sticky_headers: ^0.3.0+2
  timeago: ^3.2.2
  url_launcher: ^6.1.5
  path_provider: ^2.0.11
  package_info_plus: ^1.4.3
  rxdart: ^0.27.5

dev_dependencies:
  flutter_lints: ^2.0.0
  flutter_test:
    sdk: flutter

flutter:
  uses-material-design: true
  assets:
    - assets/
    - assets/logo/2.svg

  fonts:
    - family: SourceCodePro
      fonts:
        - asset: fonts/SourceCodePro-Black.ttf
        - asset: fonts/SourceCodePro-BlackIt.ttf
        - asset: fonts/SourceCodePro-Bold.ttf
        - asset: fonts/SourceCodePro-BoldIt.ttf
        - asset: fonts/SourceCodePro-ExtraLight.ttf
        - asset: fonts/SourceCodePro-ExtraLightIt.ttf
        - asset: fonts/SourceCodePro-It.ttf
        - asset: fonts/SourceCodePro-Light.ttf
        - asset: fonts/SourceCodePro-Medium.ttf
        - asset: fonts/SourceCodePro-MediumIt.ttf
        - asset: fonts/SourceCodePro-Regular.ttf
        - asset: fonts/SourceCodePro-Semibold.ttf
        - asset: fonts/SourceCodePro-SemiboldIt.ttf

flutter_native_splash:
  # flutter pub run flutter_native_splash:create
  # flutter pub run flutter_native_splash:remove
  color: "#ffffff"
  color_dark: "#330d69"
  image: assets/splash_400.png
  android: true
  ios: true
  web: false
